// The imbiber immediately
// takes 3 Poisoned Conditions that cannot be resisted at first,
await this.actor.addCondition("poisoned", 3)

// recovers a number of Wounds equal to their Toughness Bonus,
await this.actor.modifyWounds(this.actor.system.characteristics.t.bonus)

// and acquires the Régénération Creature Trait.
const hasRégénération = this.actor.has("Régénération")
if (hasRégénération === undefined) {
  fromUuid("Compendium.wfrp4e-core.items.SfUUdOGjdYpr3KSR").then(trait => {
    let traitItem = trait.toObject()
    this.actor.createEmbeddedDocuments("Item", [traitItem], {fromEffect: this.effect.id})
  })
}

this.script.message(`<p><strong>${this.actor.prototypeToken.name}</strong> a :
    <ul>
      <li>Acquis 3 états Empoisonné qui ne peuvent pas être résistés au début du round.</li>
      <li>Récupération de ${this.actor.system.characteristics.t.bonus} Blessures</li>
      <li>Acquisition du Trait de Créature Régénération.</li>
    </ul>
    C’est à Ranald de décider si leur régénération peut dépasser leur empoisonnement.</p>
    <p>Lorsque tous les états Empoisonné sont perdus, la Régénération l’est aussi.</p>`,
    { whisper: ChatMessage.getWhisperRecipients("GM"), blind: true })
